openvasd_result Struct Reference

Struct to hold an scan result. More...

`#include <openvasd.h>`

## Data Fields

unsigned long | id
gchar * | type
gchar * | ip_address
gchar * | hostname
gchar * | oid
int | port
gchar * | protocol
gchar * | message
gchar * | detail_name
gchar * | detail_value
gchar * | detail_source_type
gchar * | detail_source_name
gchar * | detail_source_description

## Detailed Description

Struct to hold an scan result.

## Field Documentation

## detail_name

gchar* openvasd_result::detail_name

## detail_source_description

gchar* openvasd_result::detail_source_description

## detail_source_name

gchar* openvasd_result::detail_source_name

## detail_source_type

gchar* openvasd_result::detail_source_type

## detail_value

gchar* openvasd_result::detail_value

## hostname

gchar* openvasd_result::hostname

## id

unsigned long openvasd_result::id

## ip_address

gchar* openvasd_result::ip_address

## message

gchar* openvasd_result::message

## oid

gchar* openvasd_result::oid

## port

int openvasd_result::port

## protocol

gchar* openvasd_result::protocol

## type

gchar* openvasd_result::type

The documentation for this struct was generated from the following file:

- openvasd/openvasd.h